Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -3278,11 +5863,242 @@
 This information is found in the PSD file header.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      6    NumChannels                          N
-      7    ImageHeight                          N
-      9    ImageWidth                           N
-     11    BitDepth                             N
-     12    ColorMode                            N
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      6    NumChannels                          no
+      7    ImageHeight                          no
+      9    ImageWidth                           no
+     11    BitDepth                             no
+     12    ColorMode                            no
+
+=head3 Photoshop ImageData Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Compression                          no
+
+=head2 Apple Tags
+
+Tags extracted from the maker notes of iPhone images.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0003   RunTime                              Apple RunTime
+  0x0008   AccelerationVector                   rational64s[3]
+  0x000a   HDRImageType                         int32s
+  0x000b   BurstUUID                            string
+  0x0011   MediaGroupUUID                       string
+  0x0015   ImageUniqueID                        string
+
+=head3 Apple RunTime Tags
+
+This PLIST-format information contains the elements of a CMTime structure
+representing the amount of time the phone has been running since the last
+boot, not including standby time.
+
+  Tag ID               Tag Name                 Writable
+  ------               --------                 --------
+  'epoch'              RunTimeEpoch             no
+  'flags'              RunTimeFlags             no
+  'timescale'          RunTimeScale             no
+  'value'              RunTimeValue             no
+
+=head2 NikonSettings Tags
+
+User settings for newer Nikon models.  A number of the tags are marked as
+Unknown only to reduce the volume of the normal output.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0001   ISOAutoHiLimit                       no
+  0x0002   ISOAutoFlashLimit                    no
+  0x0003   ISOAutoShutterTime                   no
+  0x000b   FlickerReductionShooting             no
+  0x000c   FlickerReductionIndicator            no
+  0x000d   MovieISOAutoHiLimit                  no
+  0x000e   MovieISOAutoControlManualMode        no
+  0x001d   AF-CPrioritySel                      no
+  0x001e   AF-SPrioritySel                      no
+  0x0020   AFPointSel                           no
+  0x0022   AFActivation                         no
+  0x0023   FocusPointWrap                       no
+  0x0025   ManualFocusPointIllumination         no
+  0x0026   AF-AssistIlluminator                 no
+  0x0029   ISOStepSize                          no
+  0x002a   ExposureControlStepSize              no
+  0x002b   EasyExposureCompensation             no
+  0x002c   MatrixMetering                       no
+  0x002d   CenterWeightedAreaSize               no
+  0x002f   FineTuneOptMatrixMetering            no
+  0x0030   FineTuneOptCenterWeighted            no
+  0x0031   FineTuneOptSpotMetering              no
+  0x0032   FineTuneOptHighlightWeighted         no
+  0x0033   ShutterReleaseButtonAE-L             no
+  0x0034   StandbyMonitorOffTime                no
+  0x0035   SelfTimerTime                        no
+  0x0036   SelfTimerShotCount                   no
+  0x0037   SelfTimerShotInterval                no
+  0x0038   PlaybackMonitorOffTime               no
+  0x0039   MenuMonitorOffTime                   no
+  0x003a   ShootingInfoMonitorOffTime           no
+  0x003b   ImageReviewMonitorOffTime            no
+  0x003c   LiveViewMonitorOffTime               no
+  0x003e   CLModeShootingSpeed                  no
+  0x003f   MaxContinuousRelease                 no
+  0x0040   ExposureDelayMode                    no
+  0x0041   ElectronicFront-CurtainShutter       no
+  0x0042   FileNumberSequence                   no
+  0x0043   FramingGridDisplay                   no
+  0x0045   LCDIllumination                      no
+  0x0046   OpticalVR                            no
+  0x0047   FlashSyncSpeed                       no
+  0x0048   FlashShutterSpeed                    no
+  0x0049   FlashExposureCompArea                no
+  0x004a   AutoFlashISOSensitivity              no
+  0x0051   AssignBktButton                      no
+  0x0052   AssignMovieRecordButton              no
+  0x0053   MultiSelectorShootMode               no
+  0x0054   MultiSelectorPlaybackMode            no
+  0x0056   MultiSelectorLiveView                no
+  0x0058   CmdDialsReverseRotExposureComp?      no
+  0x0059   CmdDialsChangeMainSubExposure?       no
+  0x005a   CmdDialsChangeMainSub                no
+  0x005b   CmdDialsMenuAndPlayback              no
+  0x005c   SubDialFrameAdvance                  no
+  0x005d   ReleaseButtonToUseDial               no
+  0x005e   ReverseIndicators                    no
+  0x0062   MovieShutterButton                   no
+  0x0063   Language                             no
+  0x006c   ShootingInfoDisplay                  no
+  0x0074   FlickAdvanceDirection                no
+  0x0080   RemoteFuncButton                     no
+  0x008b   CmdDialsReverseRotation              no
+  0x008d   FocusPeakingHighlightColor           no
+  0x008e   ContinuousModeDisplay                no
+  0x008f   ShutterSpeedLock                     no
+  0x0090   ApertureLock                         no
+  0x0091   MovieHighlightDisplayThreshold       no
+  0x0093   BlockShotAFResponse                  no
+  0x0094   SubjectMotion                        no
+  0x0095   Three-DTrackingFaceDetection         no
+  0x0097   StoreByOrientation                   no
+  0x0099   DynamicAreaAFAssist                  no
+  0x009a   ExposureCompStepSize                 no
+  0x009b   SyncReleaseMode                      no
+  0x009c   ModelingFlash                        no
+  0x009d   AutoBracketModeM                     no
+  0x009e   PreviewButton                        no
+  0x00a0   Func1Button                          no
+  0x00a2   Func2Button                          no
+  0x00a3   AF-OnButton                          no
+  0x00a4   SubSelector                          no
+  0x00a5   SubSelectorCenter                    no
+  0x00a7   LensFunc1Button                      no
+  0x00a8   CmdDialsApertureSetting              no
+  0x00a9   MultiSelector                        no
+  0x00aa   LiveViewButtonOptions                no
+  0x00ab   LightSwitch                          no
+  0x00b1   MoviePreviewButton                   no
+           MovieFunc1Button                     no
+  0x00b3   MovieFunc1Button                     no
+           MovieFunc2Button                     no
+  0x00b5   MovieFunc2Button                     no
+  0x00b6   AssignMovieSubselector               no
+  0x00b8   LimitAFAreaModeSelD9?                no
+  0x00b9   LimitAFAreaModeSelD25?               no
+  0x00bc   LimitAFAreaModeSel3D?                no
+  0x00bd   LimitAFAreaModeSelGroup?             no
+  0x00be   LimitAFAreaModeSelAuto?              no
+  0x00c1   LimitSelectableImageArea5To4?        no
+  0x00c2   LimitSelectableImageArea1To1?        no
+  0x00d4   PhotoShootingMenuBank                no
+  0x00d5   CustomSettingsBank                   no
+  0x00d6   LimitAF-AreaModeSelPinpoint?         no
+  0x00d7   LimitAF-AreaModeSelDynamic?          no
+  0x00d8   LimitAF-AreaModeSelWideAF_S?         no
+  0x00d9   LimitAF-AreaModeSelWideAF_L?         no
+  0x00da   LowLightAF                           no
+  0x00db   LimitSelectableImageAreaDX?          no
+  0x00dc   LimitSelectableImageArea5To4?        no
+  0x00dd   LimitSelectableImageArea1To1?        no
+  0x00de   LimitSelectableImageArea16To9?       no
+  0x00df   ApplySettingsToLiveView              no
+  0x00e0   FocusPeakingLevel                    no
+  0x00e9   LensControlRing                      no
+  0x00ed   MovieMultiSelector                   no
+  0x00ee   MovieAFSpeed                         no
+  0x00ef   MovieAFSpeedApply                    no
+  0x00f0   MovieAFTrackingSensitivity           no
+  0x00f1   MovieHighlightDisplayPattern         no
+  0x00f2   SubDialFrameAdvanceRating5?          no
+  0x00f3   SubDialFrameAdvanceRating4?          no
+  0x00f4   SubDialFrameAdvanceRating3?          no
+  0x00f5   SubDialFrameAdvanceRating2?          no
+  0x00f6   SubDialFrameAdvanceRating1?          no
+  0x00f7   SubDialFrameAdvanceRating0?          no
+  0x00f9   MovieAF-OnButton                     no
+  0x00fb   SecondarySlotFunction                no
+  0x00fc   SilentPhotography                    no
+  0x00fd   ExtendedShutterSpeeds                no
+  0x0109   BracketSet                           no
+  0x010a   BracketProgram                       no
+  0x010b   BracketIncrement                     no
+  0x010c   BracketIncrement                     no
+  0x0116   GroupAreaC1                          no
+  0x0117   AutoAreaAFStartingPoint              no
+  0x0118   FocusPointPersistence                no
+  0x0119   LimitAFAreaModeSelD49?               no
+  0x011a   LimitAFAreaModeSelD105?              no
+  0x011b   LimitAFAreaModeSelGroupC1?           no
+  0x011c   LimitAFAreaModeSelGroupC2?           no
+  0x011d   AutoFocusModeRestrictions            no
+  0x011e   FocusPointBrightness                 no
+  0x011f   CHModeShootingSpeed                  no
+  0x0120   CLModeShootingSpeed                  no
+  0x0121   QuietShutterShootingSpeed            no
+  0x0122   LimitReleaseModeSelCL?               no
+  0x0123   LimitReleaseModeSelCH?               no
+  0x0124   LimitReleaseModeSelQ?                no
+  0x0125   LimitReleaseModeSelTimer?            no
+  0x0126   LimitReleaseModeSelMirror-Up?        no
+  0x0127   LimitSelectableImageArea16To9?       no
+  0x0128   RearControPanelDisplay               no
+  0x0129   FlashBurstPriority                   no
+  0x012a   RecallShootFuncExposureMode          no
+  0x012b   RecallShootFuncShutterSpeed          no
+  0x012c   RecallShootFuncAperture              no
+  0x012d   RecallShootFuncExposureComp          no
+  0x012e   RecallShootFuncISO                   no
+  0x012f   RecallShootFuncMeteringMode          no
+  0x0130   RecallShootFuncWhiteBalance          no
+  0x0131   RecallShootFuncAFAreaMode            no
+  0x0132   RecallShootFuncFocusTracking         no
+  0x0133   RecallShootFuncAF-On                 no
+  0x0134   VerticalFuncButton                   no
+  0x0135   Func3Button                          no
+  0x0136   VerticalAF-OnButton                  no
+  0x0137   VerticalMultiSelector                no
+  0x0138   MeteringButton                       no
+  0x0139   PlaybackFlickUp                      no
+  0x013a   PlaybackFlickUpRating                no
+  0x013b   PlaybackFlickDown                    no
+  0x013c   PlaybackFlickDownRating              no
+  0x013d   MovieFunc3Button                     no
+  0x0150   ShutterType                          no
+  0x0151   LensFunc2Button                      no
+  0x0158   USBPowerDelivery                     no
+  0x015b   GroupAreaC2                          no
+  0x015c   BracketingBurstOptions               no
+  0x015e   PrimarySlot                          no
+  0x015f   ReverseFocusRing                     no
+  0x0160   VerticalFuncButton                   no
+  0x0161   VerticalAFOnButton                   no
+  0x0162   VerticalMultiSelector                no
+  0x0164   VerticalMovieFuncButton              no
+  0x0165   VerticalMovieAFOnButton              no
+  0x0169   LimitAF-AreaModeSelAutoPeople?       no
+  0x016a   LimitAF-AreaModeSelAutoAnimals?      no
+  0x016b   LimitAF-AreaModeSelWideLPeople?      no
+  0x016c   LimitAF-AreaModeSelWideLAnimals?     no
+  0x016e   AFAreaMode                           no
 
 =head2 Canon Tags
@@ -3292,5 +6108,5 @@
   0x0001   CanonCameraSettings                  Canon CameraSettings
   0x0002   CanonFocalLength                     Canon FocalLength
-  0x0003   CanonFlashInfo?                      N
+  0x0003   CanonFlashInfo?                      no
   0x0004   CanonShotInfo                        Canon ShotInfo
   0x0005   CanonPanorama                        Canon Panorama
@@ -3306,14 +6122,26 @@
            CanonCameraInfo1DmkIII               Canon CameraInfo1DmkIII
            CanonCameraInfo1DmkIV                Canon CameraInfo1DmkIV
+           CanonCameraInfo1DX                   Canon CameraInfo1DX
            CanonCameraInfo5D                    Canon CameraInfo5D
            CanonCameraInfo5DmkII                Canon CameraInfo5DmkII
+           CanonCameraInfo5DmkIII               Canon CameraInfo5DmkIII
+           CanonCameraInfo6D                    Canon CameraInfo6D
            CanonCameraInfo7D                    Canon CameraInfo7D
            CanonCameraInfo40D                   Canon CameraInfo40D
            CanonCameraInfo50D                   Canon CameraInfo50D
            CanonCameraInfo60D                   Canon CameraInfo60D
+           CanonCameraInfo70D                   Canon CameraInfo70D
+           CanonCameraInfo80D                   Canon CameraInfo80D
            CanonCameraInfo450D                  Canon CameraInfo450D
            CanonCameraInfo500D                  Canon CameraInfo500D
            CanonCameraInfo550D                  Canon CameraInfo550D
+           CanonCameraInfo600D                  Canon CameraInfo600D
+           CanonCameraInfo650D                  Canon CameraInfo650D
+           CanonCameraInfo700D                  Canon CameraInfo650D
+           CanonCameraInfo750D                  Canon CameraInfo750D
+           CanonCameraInfo760D                  Canon CameraInfo750D
            CanonCameraInfo1000D                 Canon CameraInfo1000D
+           CanonCameraInfo1100D                 Canon CameraInfo600D
+           CanonCameraInfo1200D                 Canon CameraInfo60D
            CanonCameraInfoPowerShot             Canon CameraInfoPowerShot
            CanonCameraInfoPowerShot2            Canon CameraInfoPowerShot2
@@ -3345,6 +6173,12 @@
   0x0025   FaceDetect2                          Canon FaceDetect2
   0x0026   CanonAFInfo2                         Canon AFInfo2
+  0x0027   ContrastInfo                         Canon ContrastInfo
   0x0028   ImageUniqueID                        int8u
-  0x0081   RawDataOffset                        N
+  0x0029   WBInfo                               Canon WBInfo
+  0x002f   FaceDetect3                          Canon FaceDetect3
+  0x0035   TimeInfo                             Canon TimeInfo
+  0x0038   BatteryType                          undef
+  0x003c   AFInfo3                              Canon AFInfo2
+  0x0081   RawDataOffset                        no
   0x0083   OriginalDecisionDataOffset           int32u*
   0x0090   CustomFunctions1D                    CanonCustom Functions1D
@@ -3352,5 +6186,5 @@
   0x0092   PersonalFunctionValues               CanonCustom PersonalFuncValues
   0x0093   CanonFileInfo                        Canon FileInfo
-  0x0094   AFPointsInFocus1D                    N
+  0x0094   AFPointsInFocus1D                    no
   0x0095   LensModel                            string
   0x0096   SerialInfo                           Canon SerialInfo
@@ -3361,8 +6195,8 @@
   0x009a   AspectInfo                           Canon AspectInfo
   0x00a0   ProcessingInfo                       Canon Processing
-  0x00a1   ToneCurveTable                       N
-  0x00a2   SharpnessTable                       N
-  0x00a3   SharpnessFreqTable                   N
-  0x00a4   WhiteBalanceTable                    N
+  0x00a1   ToneCurveTable                       no
+  0x00a2   SharpnessTable                       no
+  0x00a3   SharpnessFreqTable                   no
+  0x00a4   WhiteBalanceTable                    no
   0x00a9   ColorBalance                         Canon ColorBalance
   0x00aa   MeasuredColor                        Canon MeasuredColor
@@ -3370,6 +6204,6 @@
   0x00b0   CanonFlags                           Canon Flags
   0x00b1   ModifiedInfo                         Canon ModifiedInfo
-  0x00b2   ToneCurveMatching                    N
-  0x00b3   WhiteBalanceMatching                 N
+  0x00b2   ToneCurveMatching                    no
+  0x00b3   WhiteBalanceMatching                 no
   0x00b4   ColorSpace                           int16u
   0x00b6   PreviewImageInfo                     Canon PreviewImageInfo
@@ -3382,22 +6216,35 @@
            ColorData5                           Canon ColorData5
            ColorData6                           Canon ColorData6
+           ColorData7                           Canon ColorData7
+           ColorData8                           Canon ColorData8
+           ColorData9                           Canon ColorData9
+           ColorData10                          Canon ColorData10
            ColorDataUnknown                     Canon ColorDataUnknown
-  0x4002   CRWParam?                            N
+  0x4002   CRWParam?                            no
   0x4003   ColorInfo                            Canon ColorInfo
-  0x4005   Flavor?                              N
-  0x4008   BlackLevel?                          N
+  0x4005   Flavor?                              no
+  0x4008   PictureStyleUserDef                  [Values 0-2]
+                                                Canon PictureStyle
+  0x4009   PictureStylePC                       [Values 0-2]
+                                                Canon PictureStyle
   0x4010   CustomPictureStyleFileName           string
   0x4013   AFMicroAdj                           Canon AFMicroAdj
   0x4015   VignettingCorr                       Canon VignettingCorr
+           VignettingCorrUnknown1               Canon VignettingCorrUnknown
+           VignettingCorrUnknown2               Canon VignettingCorrUnknown
   0x4016   VignettingCorr2                      Canon VignettingCorr2
   0x4018   LightingOpt                          Canon LightingOpt
   0x4019   LensInfo                             Canon LensInfo
   0x4020   AmbienceInfo                         Canon Ambience
+  0x4021   MultiExp                             Canon MultiExp
   0x4024   FilterInfo                           Canon FilterInfo
+  0x4025   HDRInfo                              Canon HDRInfo
+  0x4028   AFConfig                             Canon AFConfig
+  0x403f   RawBurstModeRoll                     Canon RawBurstInfo
 
 =head3 Canon CameraSettings Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       1    MacroMode                            int16s
       2    SelfTimer                            int16s
@@ -3418,7 +6265,7 @@
      19    AFPoint                              int16s
      20    CanonExposureMode                    int16s
-     22    LensType                             int16s
-     23    LongFocal                            int16u
-     24    ShortFocal                           int16u
+     22    LensType                             int16u
+     23    MaxFocalLength                       int16u
+     24    MinFocalLength                       int16u
      25    FocalUnits                           int16s
      26    MaxAperture                          int16s
@@ -3440,6 +6287,6 @@
 =head3 Canon FocalLength Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    FocalType                            int16u
       1    FocalLength                          int16u
@@ -3451,6 +6298,6 @@
 =head3 Canon ShotInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       1    AutoISO                              int16s
       2    BaseISO                              int16s
@@ -3484,6 +6331,6 @@
 =head3 Canon Panorama Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       2    PanoramaFrameNumber                  int16s
       5    PanoramaDirection                    int16s
@@ -3491,6 +6338,6 @@
 =head3 Canon UnknownD30 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
   [no tags known]
 
@@ -3503,11 +6350,11 @@
 lists CameraInfo tags for the 1D and 1DS.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       4    ExposureTime                         int8u
      10    FocalLength                          int16u
      13    LensType                             int16uRev
-     14    ShortFocal                           int16u
-     16    LongFocal                            int16u
+     14    MinFocalLength                       int16u
+     16    MaxFocalLength                       int16u
      65    SharpnessFrequency                   int8u
      66    Sharpness                            int8s
@@ -3525,11 +6372,11 @@
 CameraInfo tags for the 1DmkII and 1DSmkII.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       4    ExposureTime                         int8u
       9    FocalLength                          int16uRev
      12    LensType                             int16uRev
-     17    ShortFocal                           int16uRev
-     19    LongFocal                            int16uRev
+     17    MinFocalLength                       int16uRev
+     19    MaxFocalLength                       int16uRev
      45    FocalType                            int8u
      54    WhiteBalance                         int8u
@@ -3548,11 +6395,11 @@
 CameraInfo tags for the 1DmkIIN.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       4    ExposureTime                         int8u
       9    FocalLength                          int16uRev
      12    LensType                             int16uRev
-     17    ShortFocal                           int16uRev
-     19    LongFocal                            int16uRev
+     17    MinFocalLength                       int16uRev
+     19    MaxFocalLength                       int16uRev
      54    WhiteBalance                         int8u
      55    ColorTemperature                     int16uRev
@@ -3568,6 +6415,6 @@
 CameraInfo tags for the 1DmkIII and 1DSmkIII.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       3    FNumber                              int8u
       4    ExposureTime                         int8u
@@ -3583,6 +6430,6 @@
     134    PictureStyle                         int8u
     273    LensType                             int16uRev
-    275    ShortFocal                           int16uRev
-    277    LongFocal                            int16uRev
+    275    MinFocalLength                       int16uRev
+    277    MaxFocalLength                       int16uRev
     310    FirmwareVersion                      string[6]
     370    FileIndex                            int32u
@@ -3597,6 +6444,6 @@
 Custom picture style information for various models.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    ContrastStandard                     int32s
       4    SharpnessStandard                    int32s
@@ -3659,8 +6506,9 @@
 =head3 Canon CameraInfo1DmkIV Tags
 
-CameraInfo tags for the 1DmkIV.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+CameraInfo tags for the EOS 1D Mark IV.  Indices shown are for firmware
+versions 1.0.x, but they may be different for other firmware versions.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       3    FNumber                              int8u
       4    ExposureTime                         int8u
